package net.locusworks.logger;

import java.util.Map;

/**
 * Interface used to initialize the application logger
 * and set the default log level
 * @author Isaac Parenteau
 * @version 1.0.0
 * @date 02/15/2018
 */
public interface ApplicationLoggerInitializer {
  LogLevel initialize();
  default void loadLoggers() { }
  default void postGetLogger(String logName, String logLevel) {}
  default void saveLogLevels(Map<String, ApplicationLogger> loggers) {}
}
